<!--
 Licensed to the Apache Software Foundation (ASF) under one
 or more contributor license agreements.  See the NOTICE file
 distributed with this work for additional information
 regarding copyright ownership.  The ASF licenses this file
 to you under the Apache License, Version 2.0 (the
 "License"); you may not use this file except in compliance
 with the License.  You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing,
 software distributed under the License is distributed on an
 "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 KIND, either express or implied.  See the License for the
 specific language governing permissions and limitations
 under the License.
 -->

## Release 2021.3.3

### Features

  * `Adding support to put extra arguments for Glue Job. (#14027)`
  * `Avoid using threads in S3 remote logging upload (#14414)`
  * `Allow AWS Operator RedshiftToS3Transfer To Run a Custom Query (#14177)`
  * `includes the STS token if STS credentials are used (#11227)`

## Release 2021.2.5

### Features

  * `Add aws ses email backend for use with EmailOperator. (#13986)`
  * `Add bucket_name to template fileds in S3 operators (#13973)`
  * `Add ExasolToS3Operator (#13847)`
  * `AWS Glue Crawler Integration (#13072)`
  * `Add acl_policy to S3CopyObjectOperator (#13773)`
  * `AllowDiskUse parameter and docs in MongotoS3Operator (#12033)`
  * `Add S3ToFTPOperator (#11747)`
  * `add xcom push for ECSOperator (#12096)`
  * `[AIRFLOW-3723] Add Gzip capability to mongo_to_S3 operator (#13187)`
  * `Add S3KeySizeSensor (#13049)`
  * `Add 'mongo_collection' to template_fields in MongoToS3Operator (#13361)`
  * `Allow Tags on AWS Batch Job Submission (#13396)`

### Bug fixes

  * `Fix bug in GCSToS3Operator (#13718)`
  * `Fix S3KeysUnchangedSensor so that template_fields work (#13490)`


## Change in import paths

If you are upgrading from 2020.10.5 note the following changes in import paths

| Old path                                                        | New path                                                    |
| --------------------------------------------------------------- | ----------------------------------------------------------- |
| airflow.providers.amazon.aws.hooks.aws_dynamodb.AwsDynamoDBHook | airflow.providers.amazon.aws.hooks.dynamodb.AwsDynamoDBHook |
